Bug 1137614 - (CVE-2019-12497) VUL-1: CVE-2019-12497: otrs: personal information disclosed via external frontend [OSA-2019-09]
(CVE-2019-12497)
VUL-1: CVE-2019-12497: otrs: personal information disclosed via external fron...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 42.3
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Christian Wittmer
Security Team bot
https://smash.suse.de/issue/234478/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-07 10:23 UTC by Alexander Bergmann
Modified: 2020-09-23 13:20 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2019-06-07 10:23:31 UTC
ID: OSA-2019-09
Date: 2019-05-31
Title: Information Disclosure
Severity: 2.8. low
Product: OTRS 7.0.x, OTRS 6.0.x, OTRS 5.0.x
Fixed in: OTRS 7.0.8, OTRS 6.0.19, OTRS 5.0.36
FULL CVSS v3 VECTOR: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:L/I:N/A:N/E:U/RL:O/RC:U
References: CVE-2019-12497

Privilege Escalation

In the customer or external frontend, personal information of agents can be
disclosed like Name and mail address in external notes.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-12497
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-12497.html
https://community.otrs.com/security-advisory-2019-09-security-update-for-otrs-framework/
Comment 1 Alexander Bergmann 2019-06-07 10:24:06 UTC
Only affects openSUSE Factory.
Comment 2 Christian Wittmer 2019-06-29 09:53:45 UTC
ongoing work
Comment 3 Swamp Workflow Management 2019-06-29 11:50:11 UTC
This is an autogenerated message for OBS integration:
This bug (1137614) was mentioned in
https://build.opensuse.org/request/show/712523 Factory / otrs
Comment 4 Tomáš Chvátal 2019-07-11 11:42:43 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 5 Marcus Meissner 2019-07-12 06:45:46 UTC
probably just factory, likely fixed
Comment 6 Swamp Workflow Management 2020-04-08 12:40:12 UTC
This is an autogenerated message for OBS integration:
This bug (1137614) was mentioned in
https://build.opensuse.org/request/show/792434 15.1+Backports:SLE-15+Backports:SLE-15-SP1 / otrs
Comment 7 Swamp Workflow Management 2020-04-09 10:20:09 UTC
This is an autogenerated message for OBS integration:
This bug (1137614) was mentioned in
https://build.opensuse.org/request/show/792677 15.1+Backports:SLE-15+Backports:SLE-15-SP1 / otrs
https://build.opensuse.org/request/show/792678 15.1+Backports:SLE-15+Backports:SLE-15-SP1 / otrs
Comment 8 Swamp Workflow Management 2020-04-22 12:40:09 UTC
This is an autogenerated message for OBS integration:
This bug (1137614) was mentioned in
https://build.opensuse.org/request/show/796277 15.1 / otrs
Comment 9 Swamp Workflow Management 2020-04-25 19:13:53 UTC
openSUSE-SU-2020:0551-1: An update that fixes 18 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1122560,1137614,1137615,1139406,1141430,1141431,1141432,1156431,1157001,1160663,1168029,1168030,1168031,1168032
CVE References: CVE-2019-10067,CVE-2019-12248,CVE-2019-12497,CVE-2019-12746,CVE-2019-13457,CVE-2019-13458,CVE-2019-16375,CVE-2019-18179,CVE-2019-18180,CVE-2019-9752,CVE-2019-9892,CVE-2020-1765,CVE-2020-1766,CVE-2020-1769,CVE-2020-1770,CVE-2020-1771,CVE-2020-1772,CVE-2020-1773
Sources used:
openSUSE Leap 15.1 (src):    otrs-5.0.42-lp151.2.3.1
openSUSE Backports SLE-15-SP1 (src):    otrs-5.0.42-bp151.3.3.1
openSUSE Backports SLE-15 (src):    otrs-5.0.42-bp150.2.10.1
Comment 10 Swamp Workflow Management 2020-09-20 04:21:59 UTC
openSUSE-SU-2020:1475-1: An update that fixes 18 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1122560,1137614,1137615,1139406,1141430,1141431,1141432,1156431,1157001,1160663,1168029,1168030,1168031,1168032
CVE References: CVE-2019-10067,CVE-2019-12248,CVE-2019-12497,CVE-2019-12746,CVE-2019-13457,CVE-2019-13458,CVE-2019-16375,CVE-2019-18179,CVE-2019-18180,CVE-2019-9752,CVE-2019-9892,CVE-2020-1765,CVE-2020-1766,CVE-2020-1769,CVE-2020-1770,CVE-2020-1771,CVE-2020-1772,CVE-2020-1773
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    otrs-6.0.29-lp152.2.3.4
openSUSE Leap 15.1 (src):    otrs-6.0.29-lp151.2.6.2
openSUSE Backports SLE-15-SP2 (src):    otrs-6.0.29-bp152.2.5.4
openSUSE Backports SLE-15-SP1 (src):    otrs-6.0.29-bp151.3.6.2
Comment 11 Swamp Workflow Management 2020-09-23 13:20:44 UTC
openSUSE-SU-2020:1509-1: An update that fixes 18 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1122560,1137614,1137615,1139406,1141430,1141431,1141432,1156431,1157001,1160663,1168029,1168030,1168031,1168032
CVE References: CVE-2019-10067,CVE-2019-12248,CVE-2019-12497,CVE-2019-12746,CVE-2019-13457,CVE-2019-13458,CVE-2019-16375,CVE-2019-18179,CVE-2019-18180,CVE-2019-9752,CVE-2019-9892,CVE-2020-1765,CVE-2020-1766,CVE-2020-1769,CVE-2020-1770,CVE-2020-1771,CVE-2020-1772,CVE-2020-1773
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    otrs-6.0.29-bp152.2.8.1